%global pkg_name stm

%global common_summary Haskell Software Transactional Memory library

%global common_description A modular composable concurrency abstraction for Haskell.

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.1.0.0
Version:        2.2.0.1
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.2.0.1-4
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 2.2.0.1-2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2.2.0.1-1
- update to 2.2.0.1

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-2
- add hscolour and update url
- drop -o obsolete

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 2.1.2.1-1
- update to 2.1.2.1 for haskell-platform-2010.2.0.0
- obsolete doc subpackage (ghc-rpm-macros-0.8.0)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.1.2-4
- sync cabal2spec-0.22.1

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 2.1.1.2-3
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Thu Jan 21 2010 Jens Petersen <petersen@redhat.com> - 2.1.1.2-2
- BSD license
- summary and description

* Thu Jan 21 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.1.1.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
